### Constructor

# Gsk ContainerNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_container_node_new (
      GskRenderNode** children,
      guint n_children
    )

#### Description [src]

Creates a new `GskRenderNode` instance for holding the given `children`.

The new node will acquire a reference to each of the children.

#### Parameters

`children`

  Type: An array of `GskRenderNode*`

  The children of the node.

  The length of the array is specified in the `n_children` argument.
  The data is owned by the caller of the function.

`n_children`

  Type: `guint`

  Number of children in the `children` array.

#### Return value

Type: `GskContainerNode`

The new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.